package geniusweb.partiesserver.repository;

import java.util.Arrays;
import java.util.List;

import org.junit.Before;

import geniusweb.inform.Inform;
import geniusweb.party.Capabilities;
import geniusweb.party.DefaultParty;
import tudelft.utilities.junit.GeneralTests;

public class AvailablePartyTest extends GeneralTests<AvailableParty> {

	private AvailableParty party1, party1a, party2;

	@Before
	public void before() throws ClassNotFoundException {
		party1 = new AvailableJavaParty("party1", Party1.class);
		party1a = new AvailableJavaParty("party1", Party1.class);
		party2 = new AvailableJavaParty("party2", Party2.class);

	}

	@Override
	public List<List<AvailableParty>> getGeneralTestData() {
		return Arrays.asList(Arrays.asList(party1, party1a),
				Arrays.asList(party2));
	}

	@Override
	public List<String> getGeneralTestStrings() {
		return Arrays.asList("party1.*class geniusweb.*Party1.*",
				"party2.*class geniusweb.*Party2.*");
	}

}

class Party1 extends DefaultParty {

	@Override
	public Capabilities getCapabilities() {
		return null;
	}

	@Override
	public String getDescription() {
		return null;
	}

	@Override
	public void terminate() {

	}

	@Override
	public void notifyChange(Inform data) {

	}

}

class Party2 extends DefaultParty {

	@Override
	public Capabilities getCapabilities() {
		return null;
	}

	@Override
	public String getDescription() {
		return null;
	}

	@Override
	public void terminate() {

	}

	@Override
	public void notifyChange(Inform data) {

	}

}